Bug 130925 - Add the ability to configure a driver on an already existing print queue
Add the ability to configure a driver on an already existing print queue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 16:29 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-11 08:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2004-08-25 16:29:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040625 Epiphany/1.2.6

Description of problem:
printconf-tui needs the ability to configure the printer driver for a
print queue that already exists.  hal_lpadmin in the hal-cups-utils
package configures the print queue using the hal backend and then
calls printconf-tui to configure the printer.

As of now the "add-local" command requires a device node but the hal
backend uses hal udi's to identify printers.  It would be nice to be
able to have printconf-tui configure the print driver for an already
existing queue using without changing any of the already existing
values such as the queue name, description and device.  It would be
even nicer if I could send in the hal URI (e.g. hal://<udi>) in loo of
the device and printconf-tui would use that to find which printer to
configure.  Also a return value is needed to signal if the printer has
been detected and configured properly.

configure-local configures a local printer queue
                returns 0 on success and 1 if 
                printer can not be configured
 
                options:
 
                --uri=cups backend uri
                the device node to use 
                (for example,
hal:///org/freedesktop/Hal/devices/usb_usb_device_3f0_212_100_-1_SG01J131VWOK_0).
                required.
 
                --make=make
                the IEEE 1284 MANUFACTURER string, or the printer
                manufacturer's name as listed in the foomatic database.
                required.
 
                --model=model
                the IEEE 1284 MODEL string, or the printer model as listed
                in the foomatic database.  required.
 
                --as-default
                set this as the default queue.  optional.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

    

Additional info:
Comment 1 John (J5) Palmieri 2004-08-30 13:48:14 EDT
--add-local works with the hal udi as the device so perhaps just
adding tha ability to reconfigure an arleady existing queue insted of
just erroring out would work the best.
Comment 2 Tim Waugh 2007-05-11 08:34:05 EDT
I don't think is current now.

Note You need to log in before you can comment on or make changes to this bug.